For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETList Voices
      • GETList Agents
      • POSTCreate Agent
      • GETGet Agent
      • DELDelete Agent
      • PATCHUpdate Agent
      • POSTAttach Number To Agent
      • DELDetach Number From Agent
      • GETList Agent Conversations
      • GETList Agent Calls
LogoLogo
HomeGet API key
API Referenceagents

Delete Agent

DELETE
https://api.agentphone.ai/v1/agents/:agent_id
DELETE
/v1/agents/:agent_id
1const url = 'https://api.agentphone.ai/v1/agents/agent_id';
2const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{
2 "success": true,
3 "id": "string",
4 "name": "string"
5}

Delete an agent.

Phone numbers, conversations, and calls associated with the agent will have their agent reference cleared (set to null) but will not be deleted themselves.

Was this page helpful?
Previous

Update Agent

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Response

Successful Response
successboolean
idstring
namestring

Errors

422
Unprocessable Entity Error